   SELECT sales_rep_id,
          TO_CHAR(order_date,'Mon DD, YYYY') AS "DATE",
          order_id, order_total,
          SUM(order_total)
             OVER (PARTITION BY sales_rep_id
                       ORDER BY order_date ROWS 2 PRECEDING)
             AS "SLIDING"
     FROM oe.orders
 ORDER BY sales_rep_id, order_date
/
