SELECT last_name, department_id , salary,
       SUM(salary) OVER (PARTITION BY department_id
                             ORDER BY last_name) 
                   AS "Dept Salary Total",
       SUM(salary) OVER (ORDER BY department_id, last_name) 
                   AS "Company Salary Total",
       ROW_NUMBER() OVER (PARTITION BY department_id
                              ORDER BY last_name) 
                    AS "Seq"
  FROM hr.employees
 ORDER BY department_id, last_name
/
