WITH above_average AS (
  SELECT *
    FROM hr.employees
   WHERE salary > (SELECT AVG(salary)
                     FROM hr.employees)
)
SELECT emp.last_name, emp.first_name, man.last_name AS manager
  FROM above_average emp, above_average man
 WHERE emp.manager_id = man.employee_id
