WITH large_orders AS 
(SELECT sales_rep_id, customer_id
   FROM oe.orders
  WHERE order_total > 10000
)
SELECT DISTINCT sales_rep_id AS "People IDs"
  FROM large_orders
 UNION
SELECT DISTINCT customer_id 
  FROM large_orders
/
