EXPLAIN PLAN FOR
  SELECT promo_id, COUNT(*)
    FROM sales
   GROUP BY promo_id
/

SELECT id, operation, bytes, io_cost, cost
  FROM plan_table
 WHERE plan_id = (SELECT max(plan_id)
                    FROM plan_table)
 ORDER BY id
/

-- Change parameter to your username
EXEC DBMS_STATS.GATHER_SCHEMA_STATS('S1');

EXPLAIN PLAN FOR
  SELECT promo_id, COUNT(*)
    FROM sales
   GROUP BY promo_id
/

SELECT id, operation, bytes, io_cost, cost
  FROM plan_table
 WHERE plan_id = (SELECT max(plan_id)
                    FROM plan_table)
 ORDER BY id
/
