SELECT rep, year, total, order_mode
  FROM year_orders
 MODEL
    RETURN UPDATED ROWS
    PARTITION BY (order_mode)
    DIMENSION BY (rep, year)
    MEASURES (total)
    RULES UPDATE
      ( total[159,2005] = 3000,
        total[163,1999] = 5000,
        UPSERT total[300,2005] = 4000
      )
/