SELECT sales_rep_id, 
       TO_CHAR(order_date,'MON DD,YYYY') AS "DATE",
       order_total,
       AVG(order_total) 
         OVER (ORDER BY order_date
               RANGE BETWEEN INTERVAL '7' DAY PRECEDING
               AND INTERVAL '7' DAY FOLLOWING)
         AS "RUNNING AVG"
  FROM oe.orders
/
