CREATE OR REPLACE VIEW year_orders (rep, year, order_mode, total)
  AS SELECT sales_rep_id,
            TO_CHAR(order_date, 'YYYY'),
            order_mode,
            SUM(order_total)
       FROM oe.orders
   GROUP BY sales_rep_id,
            TO_CHAR(order_date, 'YYYY'),
            order_mode
/
