SET AUTOTRACE ON EXPLAIN

ALTER MATERIALIZED VIEW mv_promo_sales
      ENABLE QUERY REWRITE
/

ALTER SESSION SET QUERY_REWRITE_ENABLED = FALSE
/

SELECT promo_id, MAX(amount_sold)
  FROM sh.sales
 GROUP BY promo_id
/

ALTER SESSION SET QUERY_REWRITE_ENABLED = FORCE
/

SELECT promo_id, MAX(amount_sold)
  FROM sh.sales
 GROUP BY promo_id
/

SET AUTOTRACE OFF
